Package org.opencv.imgproc

## Class GeneralizedHoughGuil

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.imgproc.GeneralizedHough
    - - org.opencv.imgproc.GeneralizedHoughGuil

-     public class GeneralizedHoughGuil
      extends GeneralizedHough

  finds arbitrary template in the grayscale image using Generalized Hough Transform Detects position, translation and rotation CITE: Guil1999 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `GeneralizedHoughGuil​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GeneralizedHoughGuil` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `double` | `getAngleEpsilon()` |
    `double` | `getAngleStep()` |
    `int` | `getAngleThresh()` |
    `int` | `getLevels()` |
    `double` | `getMaxAngle()` |
    `double` | `getMaxScale()` |
    `double` | `getMinAngle()` |
    `double` | `getMinScale()` |
    `int` | `getPosThresh()` |
    `double` | `getScaleStep()` |
    `int` | `getScaleThresh()` |
    `double` | `getXi()` |
    `void` | `setAngleEpsilon​(double angleEpsilon)` |
    `void` | `setAngleStep​(double angleStep)` |
    `void` | `setAngleThresh​(int angleThresh)` |
    `void` | `setLevels​(int levels)` |
    `void` | `setMaxAngle​(double maxAngle)` |
    `void` | `setMaxScale​(double maxScale)` |
    `void` | `setMinAngle​(double minAngle)` |
    `void` | `setMinScale​(double minScale)` |
    `void` | `setPosThresh​(int posThresh)` |
    `void` | `setScaleStep​(double scaleStep)` |
    `void` | `setScaleThresh​(int scaleThresh)` |
    `void` | `setXi​(double xi)` |

    - ### Methods inherited from class org.opencv.imgproc.GeneralizedHough

      `detect, detect, detect, detect, getCannyHighThresh, getCannyLowThresh, getDp, getMaxBufferSize, getMinDist, setCannyHighThresh, setCannyLowThresh, setDp, setMaxBufferSize, setMinDist, setTemplate, setTemplate, setTemplate, setTemplate`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneralizedHoughGuil

          protected GeneralizedHoughGuil​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static GeneralizedHoughGuil __fromPtr__​(long addr)

    - #### getAngleEpsilon

          public double getAngleEpsilon()

    - #### getAngleStep

          public double getAngleStep()

    - #### getMaxAngle

          public double getMaxAngle()

    - #### getMaxScale

          public double getMaxScale()

    - #### getMinAngle

          public double getMinAngle()

    - #### getMinScale

          public double getMinScale()

    - #### getScaleStep

          public double getScaleStep()

    - #### getXi

          public double getXi()

    - #### getAngleThresh

          public int getAngleThresh()

    - #### getLevels

          public int getLevels()

    - #### getPosThresh

          public int getPosThresh()

    - #### getScaleThresh

          public int getScaleThresh()

    - #### setAngleEpsilon

          public void setAngleEpsilon​(double angleEpsilon)

    - #### setAngleStep

          public void setAngleStep​(double angleStep)

    - #### setAngleThresh

          public void setAngleThresh​(int angleThresh)

    - #### setLevels

          public void setLevels​(int levels)

    - #### setMaxAngle

          public void setMaxAngle​(double maxAngle)

    - #### setMaxScale

          public void setMaxScale​(double maxScale)

    - #### setMinAngle

          public void setMinAngle​(double minAngle)

    - #### setMinScale

          public void setMinScale​(double minScale)

    - #### setPosThresh

          public void setPosThresh​(int posThresh)

    - #### setScaleStep

          public void setScaleStep​(double scaleStep)

    - #### setScaleThresh

          public void setScaleThresh​(int scaleThresh)

    - #### setXi

          public void setXi​(double xi)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `GeneralizedHough`
      Throws:
        `java.lang.Throwable`